package org.aohe.show;

import cn.hutool.core.io.FileUtil;
import cn.hutool.core.io.resource.ClassPathResource;
import cn.hutool.core.io.resource.ResourceUtil;
import lombok.extern.slf4j.Slf4j;

import java.awt.*;

@Slf4j
public class IconUtil {
   public static Image getIcon() {
       ClassPathResource resource = new ClassPathResource("ah.png");
       if(FileUtil.exist(resource.getFile())){
           return Toolkit.getDefaultToolkit().getImage(resource.getPath());
       }
       String iconPath = "..\\ah.png";
       log.info("当前查找路径为外部：{}", FileUtil.getAbsolutePath(iconPath));
       if(!FileUtil.exist("ah.png")){
           iconPath = ResourceUtil.getResource("ah.png").getFile();
           log.info("当前查找路径为内部：{}", FileUtil.getAbsolutePath(iconPath));
       }


       return Toolkit.getDefaultToolkit().getImage(iconPath);
   }
}
